Subject: Re: bug#67694: 30.0.50; tool-bar

From: Konrad Podczeck <[email-masked]>
Date: Mon, 18 Dec 2023 17:48:31 +0100

> Could you describe the steps to reproduce this bug in more detail?  Does
> it happen only when using the pdf-tools package?

No idea.

> 
> Starting from emacs -Q, I’ve installed the pdf-tools package (M-x
> package-install RET pdf-tools RET), but, after visiting a PDF file, I
> don’t see any tool-bar icons to go to the previous and next page in the
> PDF.

I have inserted something like the following in pdf-view.el:

(defvar pdfview-tool-bar-map
  (let ((map (make-sparse-keymap)))
(tool-bar-local-item "some-picture-name-1" 'pdf-view-first-page 'pdf-view-first-page map :help "First page")
(tool-bar-local-item "some-picture-name-2" 'pdf-view-next-page 'pdf-view-next-page map :help "Next page")
(tool-bar-local-item "some-picture-name-3" 'pdf-view-previous-page 'pdf-view-previous-page map :help "Previous page")
(tool-bar-local-item "some-picture-name-4" 'pdf-view-last-page 'pdf-view-last-page map :help "Last page")
map)

and, after the block starting with "(setq-local mode-line-position

(setq-local tool-bar-map pdfview-tool-bar-map)

Konrad